Status: Closed

Priority: Normal

Assignee: Shimon Shtein

Category: Plugin integration

Target version: 1.11.0

Difficulty:

Triaged:
Pull request: https://github.com/theforeman/foreman/p
ull/3076

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Add the ability to add facet's properties to host's show and list API requests.

Related issues:

Related to Foreman - Bug #13355: facet_test table missing causes test failure... Closed

Related to Foreman - Bug #13567: locale:pack failure in facets/managed_host_e... Closed

01/25/2016
02/04/2016

Associated revisions

Revision c804d530 - 01/20/2016 02:41 PM - Shimon Shtein
Fixes #13216 - Added ability to extend API by creating facet subnode

This commit adds the ability for plugins to extend Host model with custom data that will be stored in a facet model.

In order to show this data an extension point is added to Host's view API, so the properties list can be extended by the facet.

Parts that are contained in this PR:

1. Added extension point to API V2: Now each facet will be able to add facet's properties to host's details
2. Added model extensions, now you can enumerate all active facets using Host#facets and Host#facets_with_definitions methods

3. Host#attributes will include the facets by default
4. Includes facets in Host#clone

History

#1 - 01/14/2016 09:59 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3076 added

#2 - 01/20/2016 03:02 PM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c804d530bcbe473f26187ebc800d206feb3c50f0.

#3 - 01/21/2016 03:21 AM - Dominic Cleal
- Category set to Plugin integration

- translation missing: en.field_release set to 71

#4 - 01/25/2016 07:11 AM - Dominic Cleal

- Related to Bug #13355: facet_test table missing causes test failures in plugins added

#5 - 02/04/2016 10:54 AM - Dominic Cleal

- Related to Bug #13567: locale:pack failure in facets/managed_host_extensions.rb added
